{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Shopping</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
            crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.js"
            integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"
            integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p"
            crossorigin="anonymous"></script>
    <link rel="stylesheet" href="{% static 'shop/style.css' %}">
</head>
<body>
<div class="container">
    <div class="row">
        <div class="col-md-12">
            <nav class="navbar navbar-expand-lg navbar-light bg-light">
                <div class="container-fluid">
                    <a class="navbar-brand" href="#">Navbar</a>
                    <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                            data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                            aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarSupportedContent">
                        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                            <li class="nav-item">
                                <a class="nav-link active" aria-current="page" href="#">Home</a>
                            </li>
                            <li class="nav-item">
                                <button id="cart" type="button" class="btn btn-secondary" data-bs-container="body"
                                        data-bs-toggle="popover" data-bs-placement="bottom">
                                    Cart(0)
                                </button>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a>
                            </li>
                        </ul>
                        <form class="d-flex">
                            <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
                            <button class="btn btn-outline-success" type="submit">Search</button>
                        </form>
                    </div>
                </div>
            </nav>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <form class="card card-sm bg-dark">
                <div class="card-body row no-gutters align-item-center">
                    <div class="col">
                        <input type="search" name="item_name" placeholder="Search for products..."
                               class="form-control form-control-borderless">
                    </div>
                    <div class="col-auto">
                        <button class="btn btn-success" type="submit">Search</button>
                    </div>
                </div>
            </form>
        </div>
    </div>

    <br>

    <div class="row">
        {% for product in product_lists %}
            <div class="col-md-4">
                <div class="card text-white bg-dark">
                    <img height="370" src="{{ product.image }}" class="card-img-top">
                    <div class="card-body">
                        <div id="nm{{ product.id }}" class="card-title">{{ product.product_name }}</div>
                        <div id="price{{ product.id }}" class="card-text">{{ product.price }}</div>
                        <br>
                        <button id="{{ product.id }}" class="btn atc btn-success">Add To Cart</button>
                        <a href="/{{ product.id }}" class="btn btn-secondary">View Details</a>
                    </div>
                </div>
            </div>
        {% endfor %}
    </div>

    <br>
    <br>

    <div class="row">
        <div class="col-md-3 offset-md-4">
            <ul class="pagination">
                {% if product_lists.has_previous %}
                    <li class="page-item">
                        <a class="page-link bg-dark" href="?page={{ product_lists.previous_page_number }}">Previous</a>
                    </li>
                {% endif %}

                <li class="page-item">
                    <a class="page-link text-white bg-dark" href="?page={{ product_lists.number }}">Current</a>
                </li>

                {% if product_lists.has_next %}
                    <li class="page-item">
                        <a class="page-link bg-dark" href="?page={{ product_lists.next_page_number }}">Next</a>
                    </li>
                {% endif %}
            </ul>
        </div>
    </div>
</div>
</body>

<script type="text/javascript">
    console.log("This is working.");

    if (localStorage.getItem('cart') == null) {
        var cart = {};
    } else {
        cart = JSON.parse(localStorage.getItem('cart'));
    }

    $(document).on('click', '.atc', function () {
        console.log('The add to card button is clicked')
        var item_id = this.id.toString();

        if (cart[item_id] !== undefined) {
            quantity = cart[item_id][0] + 1;
            cart[item_id][0] = quantity;
            price = parseFloat(document.getElementById("price" + item_id).innerHTML);
            cart[item_id][2] += price;
        } else {
            quantity = 1;
            name = document.getElementById("nm" + item_id).innerHTML;
            price = parseFloat(document.getElementById("price" + item_id).innerHTML);
            cart[item_id] = [quantity, name, price];

        }

        console.log(cart);
        localStorage.setItem('cart', JSON.stringify(cart));
        document.getElementById("cart").innerHTML = "Cart(" + Object.keys(cart).length + ")";
    });
    /*var popoverTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="popover"]'))
    var popoverList = popoverTriggerList.map(function (popoverTriggerEl) {
            return new bootstrap.Popover(popoverTriggerEl)
        })*/
    DisplayCart(cart);

    function DisplayCart(cart) {

        var cartString = "";
        cartString += '<h5>This is your cart</h5>';
        var carIndex = 1;
        for (var x in cart) {
            cartString += carIndex + '. ';
            cartString += document.getElementById("nm" + x).innerHTML + "  Qty:" + cart[x] + "</br>";
            carIndex += 1;
        }
        cartString += "<a href='/checkout' class='btn btn-secondary' id='checkout'></a>";
        //cartString += "<button class='btn btn-secondary' id='checkout'>Button</button>";;

        var popoverBtn = document.getElementById('cart')
        var popover = new bootstrap.Popover(popoverBtn, {
            html: true,
            content: function () {
                return cartString;
            }
        })


    }


</script>
</html>